<?php
//
// $Id: index_view.php, v 0.00 Sat Jan 23 2010 21:39:58 GMT+0000 (IST) Francis Crossen $
//

/**
* Template File: The users dashboard
*
* @package    Tina-MVC
* @subpackage Tina-Core-Views
* @author     Francis Crossen <francis@crossen.org>
*/

/**
 * You should include this check in every view file you write. The constant is defined in
 * tina_mvc_base_page->load_view() 
 */
if( ! defined('TINA_MVC_LOAD_VIEW') ) exit();
?>
<h1>The Main Tina MVC Entry Page</h1>
<p>This is a Tina MVC front end controller page.</p>

<div border="thin dotted red; background-color: yellow;">
<h2>Important upgrade notice</h2>
<p>Important: If you recently upgraded to version 0.1.6+ from a version 0.1.5.x version, then the process of migrating your applications and settings was (semi-)broken, depending on what version you were working off.
If you were expecting to see your application here instead of this default content, then just deactivate and reactivate your plugin to reload your settings from your <code>tina_mvc_app_settings.php</code> file.
</p>
<p>If that didn't fix things, then look at the <code>wp-content/upgrade/tina_mvc_upgrade_backup/<code> directory and (hopefully) you will have your backed up settings there. If not, sorry!
I had to get this working for a project and getting it stable is a must.</p>
<p>The good news is that the migration scripts are working and you will not loose your applications settings when Tina MVC is upgraded. However, to be sure, to be sure, make sure you backup your customisations.</p>
</div>

<p>You can choose to make this page invisible and just serve up a 404 if it is called
without a valid controller request. Alternatively if you are developing your own app, you can choose not to create the
front end controller pages at all. This allows you to use Tina MVC for widget and plugin development without
using the login/user dashboard functionality. You 
</p>

<h2>Have you just installed Tina MVC?</h2>
<p>
If so you can copy the files and directories in `sample_app/` to `app/` to get you started. This will
override this page with new content and some links to the sample page controllers.
</p>
<p>
If you want to revert that action then delete the files and folders in `app/`.
</p>

<? if ( $V->user->ID ) : // are we logged in ?>

<h2><?= $V->user->user_login ?>'s Dashboard</h2>

<h2>Your details</h2>

<table>
    <thead>
    </thead>
    <tbody>
        <tr>
            <td>Username:</td>
            <td><?= $V->user->user_login ?></td>
        </tr>
        <tr>
            <td>Email:</td>
            <td><?= $V->user->user_email ?></td>
        </tr>
    </tbody>
</table>

<p>Go <?= tina_mvc_make_controller_link('user/my-personal-data','here to view your personal data') ?>.</p>

<? else : // are we logged in ?>

<h2>There is nobody logged in and there are no permissions to view this page.</h2>

<p>You can use this page as your staring point for Tina development.</p>

<? endif; // are we logged in ?>

<h2>Cheesy I know, but here is the customary message passed from our page controller:</h2>

<p>The result of <code><?= esc_html('<?= $V->hello_world ?>') ?></code>:<?= $V->hello_world ?></p>

<p>This is the users post login dashboard or the public front end controller page (depending on the view permissions). You can override it with your own by copying this file ('index_view.php') into the 'app' folder
and customising it.</p>
